Bug 807286 - Need dracut-network as a dependency for remote dump
Need dracut-network as a dependency for remote dump
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kexec-tools (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Baoquan He
Fedora Extras Quality Assurance
:
: 807282 (view as bug list)
Depends On:
Blocks: 807287
  Show dependency treegraph
 
Reported: 2012-03-27 08:48 EDT by WANG Chao
Modified: 2013-08-01 16:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 807287 (view as bug list)
Environment:
Last Closed: 2013-08-01 16:05:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
depends on dracut-network (804 bytes, patch)
2012-03-28 04:17 EDT, Dave Young
no flags Details | Diff
test rpm (256.35 KB, application/x-rpm)
2012-03-28 04:19 EDT, Dave Young
no flags Details

  None (edit)
Description WANG Chao 2012-03-27 08:48:51 EDT
Description of problem:
When dumping to a ssh target, after capture kernel started, couldn't find command ssh.
console shows:
+++ dump_ssh /root/.ssh/kdump_id_rsa root@10.66.13.22
+++ ssh -q -i /root/.ssh/kdump_id_rsa -o BatchMode=yes -o StrictHostKeyChecking=yes root@10.66.13.22 mkdir -p /var/crash/27.03.12-08:00:38
//lib/dracut/hooks/pre-pivot/0000kdump.sh: line 108: ssh: command not found

Version-Release number of selected component (if applicable):
kexec-tools-2.0.3-41.fc17.x86_64

How reproducible:
100%

Steps to Reproduce:
1.configure kdump.conf to dump to a ssh target
2.run `kdumpctl restart`
3.echo c > /proc/sysrq-trigger

Actual results:
command ssh isn't find.

Expected results:
command ssh should be installed when building kdump image.

Additional info:
# cat /etc/kdump.conf
net root@10.66.13.22
link_delay 60

# cat /proc/cmdline
BOOT_IMAGE=/vmlinuz-3.2.1-0.9.el7.x86_64
root=/dev/mapper/vg_intelchiefriver03-lv_root ro rd.md=0
rd.lvm.lv=vg_intelchiefriver03/lv_root rd.dm=0 console=ttyS0,115200n81
KEYTABLE=us SYSFONT=latarcyrheb-sun16 rd.lvm.lv=vg_intelchiefriver03/lv_swap
crashkernel=256M rd.luks=0 LANG=en_US.UTF-8
Comment 1 Dave Young 2012-03-28 04:17:53 EDT
Created attachment 573264 [details]
depends on dracut-network
Comment 2 Dave Young 2012-03-28 04:19:30 EDT
Created attachment 573265 [details]
test rpm

A rpm for testing
Comment 3 Dave Young 2012-03-28 04:20:44 EDT
Chao Wang, can you test comment #2 rpm?
Comment 4 WANG Chao 2012-03-28 22:53:03 EDT
(In reply to comment #3)
> Chao Wang, can you test comment #2 rpm?

It works. kexec-tools now depends on dracut-network. With dracut-network, network module(command ssh, ip, etc.) will be installed to kdump initrd, and this issue no longer exists.
Comment 5 WANG Chao 2012-03-28 22:54:45 EDT
*** Bug 807282 has been marked as a duplicate of this bug. ***
Comment 6 Fedora Update System 2012-03-29 23:55:43 EDT
kexec-tools-2.0.3-42.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kexec-tools-2.0.3-42.fc17
Comment 7 Fedora Update System 2012-03-30 13:58:50 EDT
Package kexec-tools-2.0.3-42.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kexec-tools-2.0.3-42.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4916/kexec-tools-2.0.3-42.fc17
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-04-11 07:44:41 EDT
kexec-tools-2.0.3-43.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kexec-tools-2.0.3-43.fc17
Comment 9 Fedora Admin XMLRPC Client 2012-04-16 02:13:08 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Admin XMLRPC Client 2013-02-25 03:05:52 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora End Of Life 2013-07-04 03:41:55 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2013-08-01 16:05:18 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.